CRONNEXT(1)

BEZEICHNUNG
cronnext - Zeit des nächsten von Cron auszuführenden Auftrags

ÜBERSICHT

cronnext
    [-i Benutzer] [-e Benutzer] [-s] [-a] [-t Zeit] [-q Zeit] [-j Befehl] [-l] [-c] [-f] [-h] [-V] [Datei] …

BESCHREIBUNG
Ermittelt die Zeit, zu der cron den nächsten Auftrag ausführen wird. Ohne Angabe von Argumenten werden in der Ausgabe alle Crontabs berücksichtigt, wobei die Zeit in der Anzahl der Sekunden seit dem Beginn der Unix-Zeitrechnung (Epoche) ausgedrückt und auf Minuten gerundet wird. Diese Zahl kann mit date(1) in andere Formate umgewandelt werden, zum Beispiel date --date @43243254. Die Dateiargumente sind optional. Falls angegeben, verwendet cronnext sie als Crontabs anstelle der auf dem System installierten Crontabs.

OPTIONEN

-i Benutzer,Benutzer,Benutzer, …
    berücksichtigt nur die Crontabs der angegebenen Benutzer. Verwenden Sie *system* für die systemweite Crontab.

-e Benutzer,Benutzer,Benutzer, …
    berücksichtigt nicht die Crontabs der angegebenen Benutzer.

-s  berücksichtigt nicht die Crontab des Systems, welche üblicherweise die Datei /etc/crontab ist. Die System-Crontab enthält normalerweise die stündlich, täglich, wöchentlich und monatlich auszuführenden Crontabs, die möglicherwiese besser mit anacron(8) verwaltet werden können.

-a  verwendet die im System installierten Crontabs zusätzlich zu den die in der Befehlszeile als Argumente übergebenen. Dies gilt implizit, falls keine Datei übergeben wird.

-t Zeit
    ermittelt den nächsten Auftrag ausgehend von der angegebenen Zeit anstatt von jetzt an. Die Zeit wird als Anzahl der Sekunden vom Beginn der Unix-Zeitrechnung an (Epoche) ausgedrückt, wie sie beispielsweise mit date +%s --date "now + 2 hours" ermittelt werden kann, und intern auf die Minute gerundet.

-q Zeit
    prüft in dieser Zeit nicht auf Aufträge. Die Zeit wird auf die gleiche Weise ausgedrückt wie in der Option -t.

-j Befehl
    sucht nur nach Aufträgen, die den angegebenen Befehl als Teilzeichenkette enthalten.

-l  gibt die gesamten Einträge für die Aufträge aus, die als nächste von cron ausgeführt werden sollen. Standardmäßig wird nur der nächste Ausführungszeitpunkt ausgegeben.

-c  gibt jeden Eintrag in jeder Crontab mit dem nächsten Ausführungszeitpunkt aus.

-f  gibt alle Aufträge aus, die in dem angegebenen Intervall ausgeführt werden. Dies erfordert die Option -q.

-h  gibt Benutzungshinweise aus und beendet das Programm.

-V  zeigt die Versionsnummer an und beendet das Programm.

AUTOR
Marco Migliori (sgerwk@aol.com)

SIEHE AUCH
cron(8), cron(1), crontab(5), crontab(1), anacron(8), anacrontab(5), atq(1), date(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).